Bug 1258544 - Helpdesk Demo not working on fuse karaf 6.2.1
Helpdesk Demo not working on fuse karaf 6.2.1
Status: ON_QA
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity medium
: ER3
: 6.2.0
Assigned To: Mario Fusco
Jiri Petrlik
:
Depends On:
Blocks: 1259369
  Show dependency treegraph
 
Reported: 2015-08-31 11:26 EDT by Mario Fusco
Modified: 2016-01-27 10:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1259369 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ENTESB-3793 Major Closed Helpdesk Demo not working on fuse karaf 6.2.1 2016-05-31 04:22 EDT

  None (edit)
Description Mario Fusco 2015-08-31 11:26:00 EDT
This issue is fixed on the 6.3.0-SNAPSHOT master branch:

https://github.com/droolsjbpm/jbpm/commit/884a827ffc571e08fec1b85a707c236fb2e303f0

But it is not included on their 6.2.0.Final-redhat-9 release.

11:45:20,547 | WARN | yard Extender: 2 | ExtensibleXmlParser | 379 - org.drools.core - 6.2.1.201508050921 | (null: 461, 94): schema_reference.4: Failed to read schema document 'BPMN20.xsd', because 1) could not find the document; 2) the document could not be read; 3) the root element of the document is not <xsd:schema>.
11:45:20,547 | ERROR | yard Extender: 2 | ExtensibleXmlParser | 379 - org.drools.core - 6.2.1.201508050921 | (null: 461, 94): cvc-elt.4.2: Cannot resolve 'tFormalExpression' to a type definition for element 'conditionExpression'.
11:45:21,028 | WARN | yard Extender: 2 | HumanTaskConfigurator | 394 - org.jbpm.services.task - 6.2.1.201508051200 | No tx lock interceptor found of type org.jbpm.services.task.persistence.TaskTransactionInterceptor might be mssing drools-persistence-jpa module on classpath (error org.drools.persistence.jta.TransactionLockInterceptor not found by org.jbpm.services.task [394]
java.lang.ClassNotFoundException: org.drools.persistence.jta.TransactionLockInterceptor not found by org.jbpm.services.task [394]
at org.apache.felix.framework.BundleWiringImpl.findClassOrResourceByDelegation(BundleWiringImpl.java:1556)[org.apache.felix.framework-4.4.1.jar:]
at org.apache.felix.framework.BundleWiringImpl.access$400(BundleWiringImpl.java:77)[org.apache.felix.framework-4.4.1.jar:]
at org.apache.felix.framework.BundleWiringImpl$BundleClassLoader.loadClass(BundleWiringImpl.java:1993)
at java.lang.ClassLoader.loadClass(ClassLoader.java:358)[:1.7.0_55]
at java.lang.Class.forName0(Native Method)[:1.7.0_55]
at java.lang.Class.forName(Class.java:190)[:1.7.0_55]
at org.jbpm.services.task.HumanTaskConfigurator.addTransactionLockInterceptor(HumanTaskConfigurator.java:180)[394:org.jbpm.services.task:6.2.1.201508051200]
at org.jbpm.services.task.HumanTaskConfigurator.getTaskService(HumanTaskConfigurator.java:143)[394:org.jbpm.services.task:6.2.1.201508051200]
at org.jbpm.runtime.manager.impl.factory.LocalTaskServiceFactory.newTaskService(LocalTaskServiceFactory.java:60)[402:org.jbpm.runtime.manager:6.2.1.201508051200]
at org.switchyard.component.common.knowledge.config.builder.patch.PatchedLocalTaskServiceFactory.newTaskService(PatchedLocalTaskServiceFactory.java:42)[406:org.jboss.integration.fuse.switchyard-component-common-knowledge:1.1.0.SNAPSHOT]
at org.jbpm.runtime.manager.impl.SingletonRuntimeManager.init(SingletonRuntimeManager.java:87)[402:org.jbpm.runtime.manager:6.2.1.201508051200]
at org.jbpm.runtime.manager.impl.RuntimeManagerFactoryImpl.newSingletonRuntimeManager(RuntimeManagerFactoryImpl.java:64)[402:org.jbpm.runtime.manager:6.2.1.201508051200]
at org.switchyard.component.common.knowledge.config.builder.RuntimeManagerBuilder.build(RuntimeManagerBuilder.java:62)[406:org.jboss.integration.fuse.switchyard-component-common-knowledge:1.1.0.SNAPSHOT]
at org.switchyard.component.common.knowledge.runtime.KnowledgeRuntimeManagerFactory.newRuntimeManager(KnowledgeRuntimeManagerFactory.java:81)[406:org.jboss.integration.fuse.switchyard-component-common-knowledge:1.1.0.SNAPSHOT]
at org.switchyard.component.common.knowledge.exchange.KnowledgeExchangeHandler.newSingletonRuntimeManager(KnowledgeExchangeHandler.java:113)[406:org.jboss.integration.fuse.switchyard-component-common-knowledge:1.1.0.SNAPSHOT]
at org.switchyard.component.bpm.exchange.BPMExchangeHandler.doStart(BPMExchangeHandler.java:87)[415:org.jboss.integration.fuse.switchyard-component-bpm:1.1.0.SNAPSHOT]
at org.switchyard.deploy.BaseServiceHandler.start(BaseServiceHandler.java:59)[302:org.switchyard.switchyard-deploy:2.0.1.redhat-621012]
at org.switchyard.deploy.internal.Deployment.deployImplementations(Deployment.java:582)[302:org.switchyard.switchyard-deploy:2.0.1.redhat-621012]
at org.switchyard.deploy.internal.Deployment.start(Deployment.java:144)[302:org.switchyard.switchyard-deploy:2.0.1.redhat-621012]
at org.switchyard.deploy.osgi.internal.SwitchYardContainerImpl.doStart(SwitchYardContainerImpl.java:310)[308:org.switchyard.karaf.switchyard-karaf-deploy:2.0.1.redhat-621012]
at org.switchyard.deploy.osgi.internal.SwitchYardContainerImpl.run(SwitchYardContainerImpl.java:144)[308:org.switchyard.karaf.switchyard-karaf-deploy:2.0.1.redhat-621012]
at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)[:1.7.0_55]
at java.util.concurrent.FutureTask.run(FutureTask.java:262)[:1.7.0_55]
at org.switchyard.deploy.osgi.internal.ExecutorServiceWrapper.run(ExecutorServiceWrapper.java:117)[308:org.switchyard.karaf.switchyard-karaf-deploy:2.0.1.redhat-621012]
at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)[:1.7.0_55]
at java.util.concurrent.FutureTask.run(FutureTask.java:262)[:1.7.0_55]
at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(ScheduledThreadPoolExecutor.java:178)[:1.7.0_55]
at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:292)[:1.7.0_55]
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)[:1.7.0_55]
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)[:1.7.0_55]
at java.lang.Thread.run(Thread.java:744)[:1.7.0_55]
Comment 2 Mario Fusco 2015-09-11 10:40:14 EDT
Cherry-picked to 6.2.x branch with https://github.com/droolsjbpm/jbpm/commit/196c14f48bd08bca9e9d6dfd792d2c81c16071b3
Comment 3 JBoss JIRA Server 2015-09-16 04:39:34 EDT
David virgil naranjo <david.virgil.naranjo@gmail.com> updated the status of jira ENTESB-3793 to Resolved
Comment 4 Jiri Petrlik 2016-01-25 09:56:09 EST
Verification is blocked by this issue - https://issues.jboss.org/browse/ENTESB-4519
Comment 5 JBoss JIRA Server 2016-01-27 10:30:33 EST
Martin Basovnik <mbasovni@redhat.com> updated the status of jira ENTESB-3793 to Closed

Note You need to log in before you can comment on or make changes to this bug.